#3584 closed task (fixed)

Remove types which are only available if RTEMS_DEPRECATED_TYPES is defined

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: rtems Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking: #3993

Description

The types

  • boolean,
  • single_precision,
  • double_precision,
  • rtems_single,
  • rtems_double, and
  • rtems_boolean.

are only available if RTEMS_DEPRECATED_TYPES is defined. They are deprecated for a long time. Remove them in this release.

Change History (3)

comment:1 Changed on Nov 8, 2018 at 7:11:19 AM by Sebastian Huber <sebastian.huber@…>

In a9767a07/rtems:

score: Use RTEMS_DEPRECATED for deprecated types

Update #3584.

comment:2 Changed on Jun 1, 2020 at 11:16:17 AM by Sebastian Huber

Blocking: 3993 added

comment:3 Changed on Jul 14, 2020 at 5:27:10 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 2adf328/rtems:

rtems: Remove support for RTEMS_DEPRECATED_TYPES

Close #3584.

Note: See TracTickets for help on using tickets.